# Copyright © 2021 Arrikto Inc.  All Rights Reserved.

"""Kale SDK.

This script defines a pipeline with a looping statement.
"""

import random

from kale.sdk import step, pipeline


@step(name="generate")
def generate():
    gen = random.sample(range(0, 20), 2)
    return gen


@step(name="printer")
def squared(value):
    value = float(value)
    print(value * value)


@pipeline(name="loop", experiment="kale-tutorial")
def looping_pipeline():
    res = generate()
    for x in res:
        squared(x)


if __name__ == "__main__":
    looping_pipeline()
